%global modulename union-value

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-union-value
Version:        1.0.0
Release:        1%{?dist}
Summary:        Set an array of unique values as the property of an object. Supports setting deeply nested properties using using object-paths/dot notation.

License:        MIT
URL:            https://github.com/jonschlinkert/union-value
Source0:        https://registry.npmjs.org/union-value/-/union-value-1.0.0.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(arr-union) >= 3.1.0 with npmlib(arr-union) < 4.0.0))
BuildRequires:  ((npmlib(get-value) >= 2.0.6 with npmlib(get-value) < 3.0.0))
BuildRequires:  ((npmlib(is-extendable) >= 0.1.1 with npmlib(is-extendable) < 0.2.0))
BuildRequires:  ((npmlib(set-value) >= 0.4.3 with npmlib(set-value) < 0.5.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Set an array of unique values as the property of an object. Supports setting deeply nested properties using using object-paths/dot notation.

%package 1.0.0
Summary:        Set an array of unique values as the property of an object. Supports setting deeply nested properties using using object-paths/dot notation.


%description 1.0.0
Set an array of unique values as the property of an object. Supports setting deeply nested properties using using object-paths/dot notation.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 1.0.0
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Wed Nov 28 2018 npm2srpm <dshea@redhat.com> - 1.0.0-1
- Package automatically generated by npm2srpm
